cpw.mods.fml.repackage.com.nothome.delta

## Class RandomAccessFileSeekableSource

- java.lang.Object
- - cpw.mods.fml.repackage.com.nothome.delta.RandomAccessFileSeekableSource

- All Implemented Interfaces:
    SeekableSource, java.io.Closeable, java.lang.AutoCloseable

      public class RandomAccessFileSeekableSource
      extends java.lang.Object
      implements SeekableSource

  Wraps a random access file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RandomAccessFileSeekableSource(java.io.RandomAccessFile raf)` Constructs a new RandomAccessFileSeekableSource.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `long` | `length()`
    `int` | `read(byte[] b, int off, int len)`
    `int` | `read(java.nio.ByteBuffer bb)` Reads up to `Buffer.remaining()` bytes from the source, returning the number of bytes read, or -1 if no bytes were read and EOF was reached.
    `void` | `seek(long pos)` Sets the position for the next `SeekableSource.read(ByteBuffer)`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RandomAccessFileSeekableSource

          public RandomAccessFileSeekableSource(java.io.RandomAccessFile raf)

      Constructs a new RandomAccessFileSeekableSource.
      Parameters:
        `raf` -

  - ### Method Detail

    - #### seek

          public void seek(long pos)
                    throws java.io.IOException

      Description copied from interface: `SeekableSource`
      Sets the position for the next `SeekableSource.read(ByteBuffer)`.
      Specified by:
        `seek` in interface `SeekableSource`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(byte[] b,
                 int off,
                 int len)
                   throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### length

          public long length()
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### close

          public void close()
                     throws java.io.IOException

      Specified by:
        `close` in interface `java.io.Closeable`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Throws:
        `java.io.IOException`

    - #### read

          public int read(java.nio.ByteBuffer bb)
                   throws java.io.IOException

      Description copied from interface: `SeekableSource`
      Reads up to `Buffer.remaining()` bytes from the source, returning the number of bytes read, or -1 if no bytes were read and EOF was reached.
      Specified by:
        `read` in interface `SeekableSource`
      Throws:
        `java.io.IOException`